
/* Google testimonials */
.swiper {
margin: 20px 0;
width: 100% !important;
}

.swiper-wrapper { align-items: stretch; }

@media (max-width:768px) {

.swiper { min-height: 300px !important; }
}

.swiper-slide {
display: flex;
justify-content: center;
width: auto;
}

.swiper-pagination-bullet-active { background: #000 !important; }

.review-btn-container {
display: flex;
gap: 20px;
 & :hover {
 cursor: pointer;
 background-color: #6fbb64;
}
}

.btn-container {
display: flex;
justify-content: center;
gap: 20px;
}

.swiper-button-next, .swiper-button-prev {
background-color: #f7f7f7 !important;
width: 40px !important;
height: 40px !important;
border-radius: 50% !important;
margin: 0 !important;
display: flex !important;
align-items: center !important;
justify-content: center !important;
position: static;
opacity: 1;
transition: opacity .3s ease !important;
 &:hover {
 background-color: rgba(0, 0, 0, 0.75) !important;
}
}

.swiper-button-prev::after, .swiper-button-next::after {
font-size: 16px !important;
font-weight: bold !important;
color: #000 !important;
}

.swiper:hover .swiper-button-next, .swiper:hover .swiper-button-prev { opacity: 1; }

.testimonial-section {
/* max-width: 1200px; */
margin: 0;
background-color: #fff;
/* border-radius: 10px; */
border: 0;
padding: 2rem 1rem;
text-align: center;
float: none;
width: auto;
min-height: auto;
clear: both;
z-index: -1;
}

.testimonial-header {
display: flex;
flex-direction: column;
justify-content: space-between;
flex-wrap: wrap;
}

.section-title {
font-size: 1.8rem;
font-weight: bold;
margin: auto 0;
color: #000;
}

.google-rating-wrapper {
display: flex;
flex-wrap: wrap;
align-items: center;
justify-content: center;
padding: 1rem;
border-radius: 20px;
}

.google-info {
display: flex;
margin-right: 32px;
flex-direction: column;
align-items: flex-start;
font-size: 1.2rem;
}

.google-logo { width: 64px; }

.google-icon {
width: 100% !important;
max-width: 70px !important;
}

.review-title {
font-weight: bold;
color: #000;
}

.review-score {
display: flex;
align-items: center;
gap: 0.3rem;
font-size: 1rem;
}

.stars img {
display: inline-block;
width: 24px;
height: 24px;
margin: 0 !important;
}

.count { color: #888; }

.review-btn {
background: #67ac5c;
color: white !important;
padding: 8px;
border-radius: 4px;
text-decoration: none;
font-weight: 600;
font-family: "Segoe UI", "Roboto", Arial, sans-serif;
}

.testimonial-carousel {
display: flex;
flex-wrap: wrap;
gap: 1rem;
margin-top: 2rem;
overflow-x: auto;
scroll-snap-type: x mandatory;
}

.testimonial-slide {
flex: 0 0 300px;
background: white;
border-radius: 10px;
padding: 1rem;
scroll-snap-align: start;
box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
position: relative;
}

.testimonial-text {
font-size: 1rem;
margin: 1rem 0;
}

.avatar-wrapper {
display: flex;
flex-direction: column;
flex-wrap: wrap;
align-items: center;
justify-content: center;
}

.avatar {
width: 200px;
height: 200px;
border-radius: 10%;
background-color: #4285f4;
display: flex;
align-items: center;
justify-content: center;
font-weight: bold;
}

@media (max-width:768px) {

.avatar {
width: 140px;
height: 140px;
left: -72px;
top: 30px;
}
}

.avatar .initials {
color: #fff;
font-size: 2rem;
line-height: 1;
}

.user-img { object-fit: cover; }

.user-name {
font-weight: bold;
margin: 0;
}

.review-date {
font-size: 0.85rem;
color: #777;
margin: 0;
}

.testimonial-card {
font-family: "Segoe UI", sans-serif;
display: flex;
align-items: center;
border: 0;
box-shadow: none;
}

.card-bubble {
min-height: 200px;
flex: 1;
padding: 1rem 0;
position: relative;
text-align: center;
display: flex;
gap: 1rem;
align-items: flex-start;
border: 1px solid rgba(0, 0, 0, 15%);
border-radius: 8px;
padding: 1rem;
}

@media (max-width:768px) {

.card-bubble { padding: 0; }
}

@media (max-width:600px) {

.card-bubble {
flex-direction: column;
align-items: center;
}
}

.card-bubble-content {
display: flex;
flex-direction: column;
justify-content: center;
flex: 1 0 50%;
}

.quote-icon {
width: 32px !important;
height: 32px !important;
filter: brightness(0) saturate(100%) invert(57%) sepia(78%) saturate(298%) hue-rotate(65deg) brightness(92%) contrast(79%);
}

.message {
text-align: justify;
font-size: 0.95rem;
color: #222;
margin: 0;
}

/* User section */
.card-user {
background-color: #fff;
width: 3%;
}

@media (max-width:768px) {

.card-user { width: 12%; }
}

.user-info {
display: flex;
flex-direction: column;
align-items: flex-start;
margin-top: 1rem;
}

.user-name .name {
font-weight: 600;
font-size: 1rem;
display: flex;
align-items: center;
gap: 0.25rem;
color: black;
}

.verified img {
width: 16px;
height: 16px
}

.user-meta {
font-size: 0.8rem;
color: #666;
}

.stars-card {
text-align: justify;
padding: 8px 0px !important;
display: flex;
align-items: center;
 & img {
width: 24px;
 height: 24px;
 display: inline-block;
 margin: 0 !important;
}

.google-logo-card {
width: 40px;
height: 40px;
}
}

@media (max-width:600px) {

.avatar {
width: 120px;
height: 120px;
left: -60px;
top: 40px;
}

.card-bubble { max-width: 100%; }

.card-user { width: 7%; }
}

@media (max-width:550px) {

.card-bubble {
border-radius: 20px;
flex-direction: column;
}

.card-bubble-content { margin: 1rem; }

.card-user {
margin-top: 1rem;
display: flex;
justify-content: center;
width: 100%;
background-color: transparent;
}

.avatar { position: static; }
}
